%global debug_package %{nil}

Name: dua-cli
Version: 2.30.0
Release: 1%{?dist}
Summary: Tool to conveniently learn about the disk usage of directories

License: GPL-3.0-or-later
URL: https://github.com/Byron/dua-cli
Source0: %{url}/archive/v%{version}/%{name}-%{version}.tar.gz

%if 0%{?el8} || 0%{?el9}
BuildRequires: gcc
%else
BuildRequires: cargo >= 1.40
BuildRequires: rust >= 1.40
%endif

%description
dua (-> Disk Usage Analyzer) is a tool to conveniently learn about the usage
of disk space of a given directory. It's parallel by default and will max out
your SSD, providing relevant information as fast as possible. Optionally
delete superfluous data, and do so more quickly than rm.


%prep
%autosetup
%if 0%{?el8} || 0%{?el9}
curl https://sh.rustup.rs -sSf | sh -s -- --profile minimal -y
%endif


%install
export CARGO_PROFILE_RELEASE_BUILD_OVERRIDE_OPT_LEVEL=3
%if 0%{?el8} || 0%{?el9}
source "$HOME/.cargo/env"
%endif
cargo install --root=%{buildroot}%{_prefix} --path=.
rm -f %{buildroot}%{_prefix}/.crates.toml \
    %{buildroot}%{_prefix}/.crates2.json
strip --strip-all %{buildroot}%{_bindir}/*


%files
%license LICENSE
%doc README.md CHANGELOG.md
%{_bindir}/dua


%changelog
* Mon Jan 27 2025 Artem Polishchuk <ego.cordatus@gmail.com> - 2.30.0-1
- chore: Update to latest release

* Sun Nov 03 2024 Artem Polishchuk <ego.cordatus@gmail.com> - 2.29.4-1
- chore: Update to latest release

* Sun Mar 10 2024 Artem Polishchuk <ego.cordatus@gmail.com> - 2.29.0-1
- chore: Update to latest release

* Tue Jan 23 2024 Artem Polishchuk <ego.cordatus@gmail.com> - 2.28.0-1
- chore: Update to latest release

* Mon Jan 22 2024 Artem Polishchuk <ego.cordatus@gmail.com> - 2.27.2-1
- chore: Update to latest release

* Sun Jan 21 2024 Artem Polishchuk <ego.cordatus@gmail.com> - 2.27.1-1
- chore: Update to latest release

* Wed Jan 17 2024 Artem Polishchuk <ego.cordatus@gmail.com> - 2.27.0-1
- chore: Update to latest release

* Fri Jan 05 2024 Artem Polishchuk <ego.cordatus@gmail.com> - 2.26.0-1
- chore: Update to latest release

* Wed Jan 03 2024 Artem Polishchuk <ego.cordatus@gmail.com> - 2.25.0-1
- chore: Update to latest release

* Mon Dec 25 2023 Artem Polishchuk <ego.cordatus@gmail.com> - 2.24.1-1
- chore: Update to latest release

* Sun Dec 24 2023 Artem Polishchuk <ego.cordatus@gmail.com> - 2.24.0-1
- chore: Update to latest release

* Mon Dec 11 2023 Artem Polishchuk <ego.cordatus@gmail.com> - 2.23.0-1
- chore: Update to latest release

* Sat Dec 09 2023 Artem Polishchuk <ego.cordatus@gmail.com> - 2.22.0-1
- chore: Update to latest release

* Wed Dec 06 2023 Artem Polishchuk <ego.cordatus@gmail.com> - 2.21.0-1
- chore: Update to latest release

* Mon Nov 20 2023 Artem Polishchuk <ego.cordatus@gmail.com> - 2.20.2-1
- chore: Update to latest release

* Fri May 05 2023 Artem Polishchuk <ego.cordatus@gmail.com> - 2.20.0-1
- chore: Update to 2.20.0

* Mon Feb 06 2023 Artem Polishchuk <ego.cordatus@gmail.com> - 2.19.1-1
- chore: Update to 2.19.1

* Wed Dec 14 2022 Artem Polishchuk <ego.cordatus@gmail.com> - 2.19.0-1
- build: Update to 2.19.0

* Mon Sep 12 2022 Artem Polishchuk <ego.cordatus@gmail.com> - 2.18.0-1
- chore(update): 2.18.0

* Mon Jul 25 2022 Artem Polishchuk <ego.cordatus@gmail.com> - 2.17.8-1
- chore(update): 2.17.8

* Fri May 13 2022 Artem Polishchuk <ego.cordatus@gmail.com> - 2.17.5-1
- chore(update): 2.17.5

* Thu May 12 2022 Artem Polishchuk <ego.cordatus@gmail.com> - 2.17.4-1
- chore(update): 2.17.4

* Tue May 10 2022 Artem Polishchuk <ego.cordatus@gmail.com> - 2.17.3-1
- chore(update): 2.17.3

* Sun Mar 20 2022 Artem Polishchuk <ego.cordatus@gmail.com> - 2.17.1-1
- chore(update): 2.17.1

* Mon Jan 24 2022 Artem Polishchuk <ego.cordatus@gmail.com> - 2.17.0-1
- chore(update): 2.17.0

* Sun Jan 09 2022 Artem Polishchuk <ego.cordatus@gmail.com> - 2.16.0-1
- chore(update): 2.16.0

* Tue Dec 28 2021 Artem Polishchuk <ego.cordatus@gmail.com> - 2.15.0-1
- chore(update): 2.15.0

* Tue Oct 26 2021 Artem Polishchuk <ego.cordatus@gmail.com> - 2.14.11-1
- chore(update): 2.14.11

* Tue Oct 26 2021 Artem Polishchuk <ego.cordatus@gmail.com> - 2.14.10-1
- chore(update): 2.14.10

* Tue Oct 26 2021 Artem Polishchuk <ego.cordatus@gmail.com> - 2.14.9-1
- chore(update): 2.14.9

* Tue Oct 26 2021 Artem Polishchuk <ego.cordatus@gmail.com> - 2.14.8-1
- chore(update): 2.14.8

* Sat Sep 18 2021 Artem Polishchuk <ego.cordatus@gmail.com> - 2.14.7-1
- build(update): 2.14.7

* Wed Jun 09 2021 Artem Polishchuk <ego.cordatus@gmail.com> - 2.13.1-1
- build(update): 2.13.1

* Tue Jun 08 2021 Artem Polishchuk <ego.cordatus@gmail.com> - 2.13.0-1
- build(update): 2.13.0

* Mon Jun 07 2021 Artem Polishchuk <ego.cordatus@gmail.com> - 2.12.2-1
- build(update): 2.12.2

* Sat May 29 2021 Artem Polishchuk <ego.cordatus@gmail.com> - 2.12.0-1
- build(update): 2.12.0

* Sun May 09 2021 Artem Polishchuk <ego.cordatus@gmail.com> - 2.11.3-1
- build(update): 2.11.3

* Sun May 02 2021 Artem Polishchuk <ego.cordatus@gmail.com> - 2.11.2-1
- build(update): 2.11.2

* Mon Feb 22 2021 Artem Polishchuk <ego.cordatus@gmail.com> - 2.11.1-1
- build(update): 2.11.1

* Mon Feb 15 2021 Artem Polishchuk <ego.cordatus@gmail.com> - 2.11.0-1
- build(update): 2.11.0

* Sat Jan 23 2021 Artem Polishchuk <ego.cordatus@gmail.com> - 2.10.10-1
- build(update): 2.10.10

* Thu Jan  7 2021 Artem Polishchuk <ego.cordatus@gmail.com> - 2.10.9-1
- build(update): 2.10.9

* Mon Jan  4 2021 Artem Polishchuk <ego.cordatus@gmail.com> - 2.10.8-1
- build(update): 2.10.8

* Wed Dec 16 2020 Artem Polishchuk <ego.cordatus@gmail.com> - 2.10.7-1
- build(update): 2.10.7

* Sun Nov 15 2020 Artem Polishchuk <ego.cordatus@gmail.com> - 2.10.5-1
- build(update): 2.10.5

* Thu Oct 15 2020 Artem Polishchuk <ego.cordatus@gmail.com> - 2.10.3-1
- build(update): 2.10.3

* Mon Jul 27 2020 Artem Polishchuk <ego.cordatus@gmail.com> - 2.10.2-1
- Update to 2.10.2

* Wed Jul 22 2020 Artem Polishchuk <ego.cordatus@gmail.com> - 2.10.0-1
- Update to 2.10.0

* Thu Jul 02 2020 Artem Polishchuk <ego.cordatus@gmail.com> - 2.8.2-1
- Update to 2.8.2

* Sun May 31 2020 Artem Polishchuk <ego.cordatus@gmail.com> - 2.6.1-1
- Update to 2.6.1

* Tue May 12 2020 Artem Polishchuk <ego.cordatus@gmail.com> - 2.6.0-1
- Update to 2.6.0

* Sun Apr 05 2020 Artem Polishchuk <ego.cordatus@gmail.com> - 2.5.0-1
- Update to 2.5.0

* Sun Mar 29 2020 Artem Polishchuk <ego.cordatus@gmail.com> - 2.4.1-1
- Update to 2.4.1

* Sun Mar 29 2020 Artem Polishchuk <ego.cordatus@gmail.com> - 2.4.0-1
- Update to 2.4.0

* Fri Mar 27 2020 Artem Polishchuk <ego.cordatus@gmail.com> - 2.3.9-1
- Update to 2.3.9

* Thu Mar 26 2020 Artem Polishchuk <ego.cordatus@gmail.com> - 2.3.8-1
- Update to 2.3.8

* Tue Mar 24 2020 Artem Polishchuk <ego.cordatus@gmail.com> - 2.3.7-1
- Update to 2.3.7

* Mon Feb 24 2020 Artem Polishchuk <ego.cordatus@gmail.com> - 2.3.1-1
- Update to 2.3.1

* Fri Nov 15 2019 Artem Polishchuk <ego.cordatus@gmail.com> - 2.1.12-1
- Update to 2.1.12

* Fri Sep 06 2019 Artem Polishchuk <ego.cordatus@gmail.com> - 2.1.11-1
- Initial package
